import request from '@/utils/request'

// 查询品牌方广告图列表
export function listBanner(query) {
  return request({
    url: '/brewery/banner/list',
    method: 'get',
    params: query
  })
}

// 查询品牌方广告图详细
export function getBanner(id) {
  return request({
    url: '/brewery/banner/' + id,
    method: 'get'
  })
}

// 新增品牌方广告图
export function addBanner(data) {
  return request({
    url: '/brewery/banner',
    method: 'post',
    data: data
  })
}

// 修改品牌方广告图
export function updateBanner(data) {
  return request({
    url: '/brewery/banner',
    method: 'put',
    data: data
  })
}

// 删除品牌方广告图
export function delBanner(id) {
  return request({
    url: '/brewery/banner/' + id,
    method: 'delete'
  })
}
